JettyContinuationsReplyToHandler (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.servlet.jetty.JettyContinuationsReplyToHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.servlet.jetty
Class JettyContinuationsReplyToHandler

    java.lang.Object
      org.mule.transport.DefaultReplyToHandler
          org.mule.transport.servlet.jetty.JettyContinuationsReplyToHandler

All Implemented Interfaces:
  ReplyToHandler

    public class JettyContinuationsReplyToHandler

extends DefaultReplyToHandler

This handler is responsible for resuming the continuation for the current request

Field Summary

Fields inherited from class org.mule.transport.DefaultReplyToHandler
`logger`

Constructor Summary
`JettyContinuationsReplyToHandler(List transformers)`

Method Summary
`void` | `processReplyTo(MuleEvent event, MuleMessage returnMessage, Object replyTo)`

Methods inherited from class org.mule.transport.DefaultReplyToHandler
`getEndpoint, getTransformers, setTransformers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JettyContinuationsReplyToHandler

    public JettyContinuationsReplyToHandler(List transformers)

Method Detail

### processReplyTo

    public void processReplyTo(MuleEvent event,
                               MuleMessage returnMessage,
                               Object replyTo)
                        throws MuleException

  Specified by:
    `processReplyTo` in interface `ReplyToHandler`
  Overrides:
    `processReplyTo` in class `DefaultReplyToHandler`
  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.